using System;
using System.Collections.Generic;

class Program
{ 
    static void Main(string[] args)
    {
        string[] firstLine = Console.ReadLine().Split();
        int N = int.Parse(firstLine[0]);
        int Q = int.Parse(firstLine[1]);

        int[] dani = new int[N];
        int[] kolicina = new int[N];

        for (int i = 0; i < N; i++)
        {
            string[] input = Console.ReadLine().Split();
            dani[i] = int.Parse(input[0]);
            kolicina[i] = int.Parse(input[1]);
        } 
        
        int poslednjiDankupovine = dani[N -1];
        int [] stock = new int[poslednjiDankupovine +1];

        int[] pitanja = new int[Q];
        for (int i = 0; i< Q; i++)
        {
            pitanja[i] = int.Parse(Console.ReadLine());
        }

        
        for (int i = 0; i < N; i++)
        {
            zalihe[dani[i]] += kolicina[i];
        }

        for (int i = 1; i <= poslednjiDankupovine; i++)
        {
            zalihe[i] += zalihe[i - 1];
        }

        foreach(int z in pitanja)
        {
            if (z > poslednjiDankupovine)
            {
                Console.WriteLine(zalihe[poslednjiDankupovine]);
            }
            
            else
             {
                 Console.WriteLine(zalihe[z]);
             }
        }







    }
}